<?php

namespace BitGoblin\Colossus\Models;

use Illuminate\Database\Eloquent\Model;

class Test extends Model {

  protected $fillable = [
    'date_tag',
    'benchmark_id',
    'component_id',
  ];

  public function results() {
    return $this->hasMany(Result::class);
  }

  public function benchmark() {
    return $this->belongsToMany(Benchmark::class);
  }

  public function component() {
    return $this->belongsTo(Component::class);
  }

}
